Group: Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-macros-fedora-compat
BuildRequires: gcc-c++
# END SourceDeps(oneline)
Name:           qcommandline
Version:        0.3.0
Release:        alt1_4
Summary:        Command line parser for Qt programs
License:        LGPLv2+
URL:            http://xf.iksaif.net/dev/qcommandline.html
Source0:        http://xf.iksaif.net/dev/qcommandline/qcommandline-%{version}.tar.bz2
# http://dev.iksaif.net/issues/253
Patch0:         %{name}-fix-pkg-config-paths.patch
# http://dev.iksaif.net/issues/252 -- enhancements for PhantomJS
Patch101:       0001-new-ParameterFence-flag.patch
Patch102:       0002-new-NoShortName-flag-to-allow-options-with-no-short-.patch
Patch103:       0003-new-SuppressHelp-flag.patch
BuildRequires: ctest cmake
BuildRequires:  qt4-devel
Source44: import.info

%description
QCommandLine is a command line parser for Qt programs (like getopt).
Features include options, switches, parameters and automatic 
--version/--help generation.

%package devel
Group: Other
Summary:        Development files for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}
Requires: ctest cmake

%description devel
Development files for building against %{name}.

%prep
%setup -q
%patch0 -p1
%patch101 -p1
%patch102 -p1
%patch103 -p1

%build
mkdir build
cd build
%{fedora_cmake} .. -DCMAKE_MODULES_INSTALL_DIR=%{_datadir}/cmake/Modules
make %{?_smp_mflags}

%install
cd build
make DESTDIR=%{buildroot} install

%files
%doc COPYING
%{_libdir}/lib%{name}.so.*

%files devel
%doc examples/
%{_libdir}/lib%{name}.so
%{_includedir}/%{name}
%{_libdir}/pkgconfig/QCommandLine.pc
%{_datadir}/cmake/Modules/FindQCommandLine.cmake

%changelog
* Fri Apr 26 2013 Igor Vlasenko <viy@altlinux.ru> 0.3.0-alt1_4
- initial fc import

